Services - Delete
Deletes a search service in the given resource group, along with its associated resources. Returns 200 (OK) on successful deletion, or 204 (No Content) if the service is not found.
DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Search/searchServices/{searchServiceName}?api-version=2026-11-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
search
|
path | True |
string pattern: ^(?=.{2,60}$)[a-z0-9][a-z0-9]+(-[a-z0-9]+)*$ |
The name of the Azure AI Search service associated with the specified resource group. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| x-ms-client-request-id |
string (uuid) |
A client-generated GUID value that identifies this request. If specified, this will be included in response information as a way to track the request. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request has succeeded. |
|
| 204 No Content |
There is no content to send for this request, but the headers may be useful. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
SearchDeleteService
Sample request
DELETE https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Search/searchServices/mysearchservice?api-version=2026-11-01
Sample response
Definitions
| Name | Description |
|---|---|
|
Cloud |
Contains information about an API error. |
|
Cloud |
Describes a particular API error with an error code and a message. |
CloudError
Contains information about an API error.
| Name | Type | Description |
|---|---|---|
| error |
Describes a particular API error with an error code and a message. |
|
| message |
string |
A brief description of the error that hints at what went wrong (for details/debugging information refer to the 'error.message' property). |
CloudErrorBody
Describes a particular API error with an error code and a message.
| Name | Type | Description |
|---|---|---|
| code |
string |
An error code that describes the error condition more precisely than an HTTP status code. Can be used to programmatically handle specific error cases. |
| details |
Contains nested errors that are related to this error. |
|
| message |
string |
A message that describes the error in detail and provides debugging information. |
| target |
string |
The target of the particular error (for example, the name of the property in error). |